#### PGP

#### Synopsis

    HELP:   PGP key file import
    TYPE:   OBJECT
    SYNTAX: PGP(FILE='str',USERID='str',KIDVERIFY='bin-hex',MODE=REMAIN/ATTACH/OVERWRITE/RECOPY,PASSWORD='bin'/DEFAULT,FKM5())

#### Description

With this object you can define parameters to import PGP keys. With the parameter USERID, you can change the user ID that is provided by the key file during key import. This is required if your cryptographic infrastructure (ICSF/CCA) does not support names and email addresses as key label name.

The function can be used to import PGP public key certificates and key pairs. To decrypt the private key from the key file, the correct passphrase must be provided. For a certificate import (public key), no passphrase is required.

The external key file could be in binary form or an ASCII Armor encoded text file in ASCII or EBCDIC. The encoding is detected automatically.

You can provide a key id value which will be checked in front of the key import. This value are in HEX and up to 16 character (8 bytes) long. If you provide less than 8 bytes the key id is verified against the low significant / right bytes of the primary key id. Often only the right half (4 byte = 8 characters) of the key id is used for verification.

#### Arguments

- `STRING: FILE='str' - PGP key file name (binary or ASCII/EBCDIC Armor)`
- `STRING: USERID='str' - User ID (additional) for the imported key [from file]`
- `STRING: KIDVERIFY='bin-hex' - PGP primary key ID (right most bytes in HEX) for verification [NONE]`
- `NUMBER: MODE=REMAIN/ATTACH/OVERWRITE/RECOPY - How to handle already existing keys`
  - `REMAIN - Keep the existing one [DEFAULT]`
  - `ATTACH - Attach new one (PKCS11 only)`
  - `OVERWRITE - Overwrite the old by new`
  - `RECOPY - Re-generate only the key id's for an existing key (ICSF/CCA only)`
- `STRING: PASSWORD='bin'/DEFAULT - Passphrase to decrypt the PGP key file [optional]`
  - `DEFAULT - FLAM5 default password`